summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xdb845c-android14-workarounds23
1 files changed, 23 insertions, 0 deletions
diff --git a/db845c-android14-workarounds b/db845c-android14-workarounds
new file mode 100755
index 0000000..1fabf30
--- /dev/null
+++ b/db845c-android14-workarounds
@@ -0,0 +1,23 @@
+#!/bin/bash
+
+. $(dirname $0)/functions
+
+PATCHES=0
+if [ -n "$1" ]; then
+ AOSP="$1"
+else
+ AOSP="`pwd`"
+fi
+
+if ! [ -d "$AOSP" ] && ! [ -d "$AOSP/bionic" ] && [ -d "$AOSP"/build ]; then
+ echo "This script must be run from the AOSP source directory"
+ echo "or with the AOSP source directory as its first parameter."
+ exit 1
+fi
+
+#######################################################
+## workaround for linaro work ######
+#######################################################
+## graphics: mesa: Add ro.hardware.egl=mesa
+## https://android-review.googlesource.com/c/device/linaro/dragonboard/+/2795802
+apply --local device/linaro/dragonboard --remote device/linaro/dragonboard 2795802/1